This version of TELUM is compatible with ArcGIS 9.3/10/10.1 and Microsoft Office 2003/2007/2010.

Click here to register and download TELUM 2011 (ArcGIS 9.3) installation package.
(compatible with ArcGIS 9.2/9.3/9.31 and Microsoft Office 2003/2007/2010)

Click here to register and download TELUM 2011 (ArcGIS 10) installation package.
(you MUST HAVE ArcGIS 10.0 installed on your PC in order to use this version of TELUM; it is compatible with Microsoft Office 2003/2007/2010)

Click here to register and download TELUM 2011 (ArcGIS 10.1) installation package.
(you MUST HAVE ArcGIS 10.1 installed on your PC in order to use this version of TELUM; it is compatible with Microsoft Office 2007/2010)



Users who downloaded TELUM 2011 before February 6, 2013 should download and install this patch.

The patch fixes the problem that was causing TELUM to crash in MapIt module on computers running ArcGIS Desktop Basic (formerly ArcView).

To apply the patch please download the appropriate archive file below. Unzip the downloaded archive, which contains the following three files: TIPU2011.exe, Calib2011.exe and Forecast2011.exe. Locate the files with the same names in the main TELUM directory which you chose at the time of TELUM installation (default location is C:\TELUM 2011\). Replace the current files with the files in the patch archive file.

Depending on the version of ArcGIS you are using, download the appropriate patch archive file below:


 
      University Heights | Newark, NJ 07102 | 973.596.5700 | telus@njit.edu